Subject: [PATCH][next] phy: core: make NULL a valid phy reference if !CONFIG_GENERIC_PHY

From: [email-masked] (Greg KH)
Date: Wed, 2 Apr 2014 11:26:26 -0700

On Wed, Apr 02, 2014 at 02:17:19PM -0400, Santosh Shilimkar wrote:
> On Wednesday 02 April 2014 02:16 PM, Greg KH wrote:
> > On Wed, Apr 02, 2014 at 01:53:19PM -0400, Santosh Shilimkar wrote:
> >> On Thursday 13 March 2014 05:44 PM, Felipe Balbi wrote:
> >>> Hi,
> >>>
> >>> On Thu, Mar 13, 2014 at 10:20:24AM -0500, Felipe Balbi wrote:
> >>>> On Thu, Mar 13, 2014 at 01:11:13PM +0200, Grygorii Strashko wrote:
> >>>>> This fixes a regression on Keystone 2 platforms caused by patch
> >>>>> 57303488cd37da58263e842de134dc65f7c626d5
> >>>>> "usb: dwc3: adapt dwc3 core to use Generic PHY Framework" which adds
> >>>>> optional support of generic phy in DWC3 core.
> >>>>>
> >>>>> On Keystone 2 platforms the USB is not working now because
> >>>>> CONFIG_GENERIC_PHY isn't set and, as result, Generic PHY APIs stubs
> >>>>> return -ENOSYS always. The log shows:
> >>>>>  dwc3 2690000.dwc3: failed to initialize core
> >>>>>  dwc3: probe of 2690000.dwc3 failed with error -38
> >>>>>
> >>>>> Hence, fix it by making NULL a valid phy reference in Generic PHY
> >>>>> APIs stubs in the same way as it was done by the patch
> >>>>> 04c2facad8fee66c981a51852806d8923336f362 "drivers: phy: Make NULL
> >>>>> a valid phy reference".
> >>>>>
> >>>>> CC: Kishon Vijay Abraham I <[email-masked]>
> >>>>> CC: Felipe Balbi <[email-masked]>
> >>>>> CC: Santosh Shilimkar <[email-masked]>
> >>>>> Signed-off-by: Grygorii Strashko <[email-masked]>
> >>>>
> >>>> nice :-)
> >>>>
> >>>> Acked-by: Felipe Balbi <[email-masked]>
> >>>
> >>> Greg, if your tree isn't closed yet, could you consider this patch still
> >>> for v3.15 merge window ? Grygorii found a regression on Keystone
> >>> platforms which this patch fixes. Let me know if you need the original
> >>> patch and myself or Kishon can send it to you.
> >>>
> >> Just checking whether the fix was picked up for the 3.14 merge window ?
> > 
> > 3.14 is long released, the merge window for that was months ago.
> > 
> Sorry for the typo. I mean for upcoming v3.15 merge window.

My trees are now "empty" now, with everything I had for the 3.15-rc1
merge window already in Linus's tree.  So I suggest looking there to see
if this made it in or not.

If not, be sure to resend it.

thanks,

greg k-h